Page MenuHomePhabricator

Decommission db2067.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2067.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db2067

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/552198/
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/553444/
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2062 and db2067
operations/dns : masterwmnet: Remove production dns entries for db2067
operations/puppet : productionsite.pp: Remove puppet references for db2067
operations/puppet : productionmariadb: Set db2067 to spare
operations/puppet : productiondb2067: Disable notifications

Event Timeline

Marostegui changed the task status from Open to Stalled.Sep 18 2019, 5:19 AM
Marostegui triaged this task as Medium priority.
Marostegui created this task.
Marostegui moved this task from Triage to Backlog on the DBA board.

This host is now working as m2 master in codfw, and will be replaced once the new misc hosts are bought.

Marostegui changed the task status from Stalled to Open.Wed, Nov 20, 9:25 AM
Marostegui moved this task from Backlog to Next on the DBA board.

Change 552198 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2067: Disable notifications

https://gerrit.wikimedia.org/r/552198

Change 552198 merged by Marostegui:
[operations/puppet@production] db2067: Disable notifications

https://gerrit.wikimedia.org/r/552198

Change 553444 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db2067 to spare

https://gerrit.wikimedia.org/r/553444

Change 553444 merged by Marostegui:
[operations/puppet@production] mariadb: Set db2067 to spare

https://gerrit.wikimedia.org/r/553444

Marostegui updated the task description. (Show Details)Thu, Nov 28, 6:02 AM
Marostegui added subscribers: Jclark-ctr, wiki_willy, Papaul.

Mentioned in SAL (#wikimedia-operations) [2019-11-28T06:02:25Z] <marostegui> Remove db2067 from tendril and zarcillo T233185

Marostegui moved this task from Next to In progress on the DBA board.Fri, Nov 29, 6:10 AM

Change 554234 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db2067

https://gerrit.wikimedia.org/r/554234

Change 554235 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production dns entries for db2067

https://gerrit.wikimedia.org/r/554235

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2067.codfw.wmnet

  • db2067.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 554234 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db2067

https://gerrit.wikimedia.org/r/554234

Change 554235 merged by Marostegui:
[operations/dns@master] wmnet: Remove production dns entries for db2067

https://gerrit.wikimedia.org/r/554235

Marostegui reassigned this task from Marostegui to Papaul.Tue, Dec 3, 5:56 AM
Marostegui edited projects, added decommission, ops-codfw, DC-Ops; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptTue, Dec 3, 5:56 AM

host ready for @Papaul to take over the last steps

Papaul added a comment.Wed, Dec 4, 1:57 AM
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/15;
[edit interfaces interface-range disabled]
     member ge-6/0/9 { ... }
+    member ge-6/0/15;
[edit interfaces]
-   ge-6/0/15 {
-       description db2067;
-       enable;
-   }
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Wed, Dec 4, 5:45 PM
Papaul updated the task description. (Show Details)Fri, Dec 6, 12:11 AM

Change 554972 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2062 and db2067

https://gerrit.wikimedia.org/r/554972

Change 554972 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2062 and db2067

https://gerrit.wikimedia.org/r/554972

Papaul closed this task as Resolved.Fri, Dec 6, 12:22 AM
Papaul updated the task description. (Show Details)

Complete